package com.prodhack.moscow2025.domain.usecase.auth

import com.prodhack.moscow2025.domain.interfaces.AuthRepository
import com.prodhack.moscow2025.domain.interfaces.UserRepository
import org.koin.core.annotation.Single

@Single
class LogOutUseCase(
	private val authRepository: AuthRepository,
	private val userRepository: UserRepository
) {
	suspend operator fun invoke() {
		authRepository.clearLoginData()
		userRepository.clearLocalUserData()
	}
}